'-- AvrFlash.bas ----------------------------------------------- >>fst'13<< -
' - AvrFlash.exe replacement for the original one from mikroElektronika
' - calls the batchfile   AVRflash.bat  with parameters 
' - AVRflash.bat is intend to call custom programming software
' - Compiler: FreeBasic 0.24
'-- V 20131125 ------------------------------- http://www.FrankSteinberg.de -

#include Once "file.bi"

Dim ECode As Integer 
Dim As String MCU, Source, Bat

 Print "*** AvrFlash.exe ***     V20131125      www.FrankSteinberg.de        >>fst'13<<"
 Print

If Command(2) = "" Then
 Print " AvrFlash.exe is a replacement for the original one from mikroElektronika."
 Print " It calls the batchfile   AVRflash.bat  in the same folder."
 Print
 Print " The goal is, to use custom programmer software i.e. AvrDude with one of the"
 Print " mikroElektronika AVR compilers. Other than configuring a 'Tool' we can use"
 Print " the 'Build And Program' button."
 Print  
 Print " Installation:" 
 Print "  - Install the AvrFlash from mikroElektronika," 
 Print "  - replace AvrFlash.exe with this one,"
 Print "  - copy AvrFlash.bat to the same folder,"
 Print "  - edit AvrFlash.bat."
 Print
 Sleep
 End
EndIf


MCU = Right(Command(3), len(Command(3)) - 2)
'Source = Chr(34) + Right(Command(2), len(Command(2)) - 3) + Chr(34)
Source = Right(Command(2), len(Command(2)) - 3)
Bat = ExePath + "\AvrFlash.bat"

Print "Executing " + Bat + " " + Chr(34) + Source + Chr(34) + " " + MCU
Print

If Not FileExists(Bat) Then
  Print " ERROR;   missing  " + Bat
  Print
  Sleep
  End
End If

If Not FileExists(Source) Then
 Print " ERROR;   missing  " + Source
	Print
	Sleep
	End
EndIf

ECode = Exec(Bat, Chr(34) + Source + Chr(34) + " " + MCU)
'Print
'Sleep
